# Interverse

[Try it out!](https://libresolutions.network/Interverse)

[Demo video](https://codeberg.org/gabe/Interverse/src/branch/main/Docs/vid.mp4)
## An inter-connected web-of-trust that allows you to easily discover like-minded sites.
Interverse aims to enable [small-tech](https://small-tech.org#small-tech-is).

That means
* No complicated software to run (beyond an existing website)
* No Cryptocurrency/NFT
* Scalable
* Extensible 

### Protocol neutrality
Clients should be able to easily be ported to TOR/Gemini/IPFS/ect

### Can I join?
You don't need my permission!
Simply follow these steps and you're online!

1) Grab the [example file](https://codeberg.org/gabe/Interverse/src/branch/main/interverse-example.json) or you can grab the one from [the Libre Solutions Network](https://libresolutions.network/.well-known/interverse)
2) [Check out the docs](Docs/readme.md)
3) Modify it with your data
4) Serve that file from **your.website/.well-known/interverse**
5) Ensure that the webserver also adds the correct header: `access-control-allow-origin *`
6) Feel free to test your setup by visiting:
https://libresolutions.network/Interverse?url=your.website

### How do I run the client myself?

1) `git clone https://codeberg.org/gabe/Interverse.git`
2) `cd Interverse/Client`
3) `python -m http.server`
4) Hack away!

### Can I create my own client?
Please do! 

## If you need any help getting started feel free to get in touch with me by e-mailing gabriel@libresolutions.network




